### Function

# GimpUi prop_enum_check_button_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_enum_check_button_new (
      GObject* config,
      const gchar* property_name,
      const gchar* label,
      gint false_value,
      gint true_value
    )

#### Description [src]

Creates a `GtkCheckButton` that displays and sets the specified property of type Enum. Note that this widget only allows two values for the enum, one corresponding to the “checked” state and the other to the “unchecked” state. If `label` is `NULL`, the `property_name`‘s nick will be used as label of the returned button.

Available since: | 2.4

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of enum property controlled by checkbutton.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`label` | `const gchar*`
| Label to give checkbutton (including mnemonic).
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`false_value` | `gint`
| Enum value corresponding to unchecked state.
`true_value` | `gint`
| Enum value corresponding to checked state.

#### Return value

Returns: | `GtkWidget`
| The newly created `GtkCheckButton` widget.
| The caller of the function takes ownership of the data, and is responsible for freeing it.